Subject: bug#32252: [PATCH] %o and %x now format signed numbers

From: Helmut Eller <[email-masked]>
Date: Thu, 26 Jul 2018 19:18:48 +0200

On Thu, Jul 26 2018, Andy Moreton wrote:

>> That is how other Lisps do it, it works well for them, and Emacs Lisp should
>> do likewise.
>
> That is uncontroversial for arithmetic operations, but how are bitwise
> logical operations handled in other lisps with bignums ?

In Common Lisp those are defined to behave as if integers were
represented in two's complement form, regardless of how integers are
represented internally.

Interestinlgy, Common Lisp has ASH but no direct equivalent to Emacs
Lisp's lsh.  Let's see how the bignum proponents extend lsh.

Helmut